Rooms
- OpenAPI Version:
3.1.1 - API Version:
2
The Zoom Rooms REST APIs allow you to manage your Zoom Rooms. For example, you can create new Zoom Rooms, read their current configuration, or make configuration changes. The Zoom Rooms REST API for Zoom Room Controlsin particular allows you to perform limited active control of a Zoom Room, such as starting or leaving a meeting, changing the mute state, or restarting the Zoom Room, among other capabilities.
Servers
- URL:
https://api.zoom.us/v2
Operations
List Zoom Rooms
- Method:
GET - Path:
/accounts/{accountId}/rooms - Tags: Zoom Rooms
Zoom Rooms is a software-based room system that provides an integrated experience for audio conferencing, wireless screen sharing and video conferencing. Use this API to list all the existing Zoom Rooms in a Zoom account.
Prerequisites:
- Pro or a higher plan with Zoom Room license.
Scopes: room:master
Granular Scopes: zoom_rooms:read:list_rooms:master
Rate Limit Label: MEDIUM
Responses
Status: 200 **HTTP Status Code:** `200` **OK** A list of Zoom Rooms returned successfully.
Content-Type: application/json
-
next_page_tokenstring— The next page token is used to paginate through large result sets. A next page token will be returned whenever the set of available results exceeds the current page size. The expiration period for this token is 15 minutes. -
page_sizeinteger— The number of records returned within a single API call. -
roomsarray— List of existing Zoom Rooms.Items:
-
activation_codestring— The code used to complete the setup of the Zoom Room. -
idstring— The Zoom Room ID. -
location_idstring— Unique Identifier of the [location](/docs/api-reference/zoom-api/methods#operation/listZRLocations) of the room. -
namestring— Name of the Zoom Room. -
room_idstring— The Zoom Room ID. Use this ID for the **Dashboard Zoom Room APIs**. -
statusstring, possible values:"Offline", "Available", "InMeeting", "UnderConstruction"— Status of the Zoom Room. -
tag_idsarray— The list of room tag ID associated with the Zoom Room.Items:
string— The room tag ID associated with the Zoom Room.
-
Example:
{
"next_page_token": "At6eWnFZ1FB3arCXnRxqHLXKhbDW18yz2i2",
"page_size": 20,
"rooms": [
{
"activation_code": "1315-2376-2198-7926",
"id": "qMOLddnySIGGVycz8aX_JQ",
"location_id": "49D7a0xPQvGQ2DCMZgSe7w",
"name": "My Personal Meeting Room",
"room_id": "qMOLddnySIGGVycz8aX_JQ",
"status": "Offline",
"tag_ids": [
"90bdda6c226f4f10a4b9a34be8d69f30"
]
}
]
}
Status: 429 **HTTP Status Code:** `429` <br> Too Many Requests. For more information, see [rate limits](https://developers.zoom.us/docs/api/rest/rate-limits/).
Add a Zoom Room
- Method:
POST - Path:
/accounts/{accountId}/rooms - Tags: Zoom Rooms
Use this API to add a Zoom Room to a Zoom account.
Prerequisites:
- Pro or a higher plan with Zoom Room license.
Scopes: room:master
Granular Scopes: zoom_rooms:write:room:master
Rate Limit Label: MEDIUM
Request Body
Content-Type: application/json
-
name(required)string— Name of the Zoom Room. -
type(required)string, possible values:"Kiosk", "ZoomRoom", "StandaloneWhiteboard", "SchedulingDisplayOnly", "DigitalSignageOnly", "PersonalZoomRoom"— Type of the Zoom Room. -
calendar_resource_idstring— The calendar resource's ID. -
location_idstring— **Optional** Location ID of the lowest level location in the [location hierarchy](https://support.zoom.us/hc/en-us/articles/115000342983-Zoom-Rooms-Location-Hierarchy) where the Zoom Room is to be added. For instance if the structure of the location hierarchy is set up as “country, states, city, campus, building, floor”, a room can only be added under the floor level location. This ID can be retrieved from the [**List Zoom Room locations**](/docs/api-reference/zoom-api/methods#operation/listZRLocations) API. -
pro_deviceboolean— If enabled, the Personal Zoom Room will consume a Zoom Rooms license and have access to "Pro" features. Note: this field will only be present for Personal Zoom Rooms. -
tag_idsarray— The tag IDs that will be associated with the Zoom Room.Items:
string— Unique UUID that identifies the room tag. -
user_idstring— The user ID of the user assigned to a Personal Zoom Room. Note: this field will only be accepted when the zoom_room_type is PersonalZoomRoom.
Example:
{
"location_id": "49D7a0xPQvGQ2DCMZgSe7w",
"name": "My Personal Meeting Room",
"type": "ZoomRoom",
"calendar_resource_id": "u7GQ3q_zQbqJnNp02-oMjQ",
"tag_ids": [
"90bdda6c226f4f10a4b9a34be8d69f30",
"1234ds6c226f4f10a4b9a34be8d69f30"
],
"user_id": "Ih3wZpAjTlitZcAhuYRbxg",
"pro_device": true
}
Responses
Status: 201 **HTTP Status Code:** `201` **Created** Zoom Room added successfully.
Content-Type: application/json
-
calendar_resource_idstring— The calendar resource's ID. -
idstring— The Zoom Room ID. -
location_idstring— Location ID of the location where the Zoom Room was added. -
namestring— Name of the Zoom Room. -
pro_deviceboolean— If enabled, the Personal Zoom Room will consume a Zoom Rooms license and have access to "Pro" features. Note: this field will only be present for Personal Zoom Rooms. -
room_idstring— The Zoom Room ID. Use this ID for the **Dashboard Zoom Room APIs**. -
tagsarray— The room tags associated with this Zoom Room.Items:
-
tag_idstring— The room tag ID associated with the Zoom Room. -
tag_namestring— The tag name associated with this Zoom Room.
-
-
typestring, possible values:"Kiosk", "ZoomRoom", "StandaloneWhiteboard", "SchedulingDisplayOnly", "DigitalSignageOnly", "PersonalZoomRoom"— Type of the Zoom Room. -
user_idstring— The user ID of the user assigned to a Personal Zoom Room. Note: this field will only be accepted when the zoom_room_type is PersonalZoomRoom.
Example:
{
"id": "qMOLddnySIGGVycz8aX_JQ",
"location_id": "49D7a0xPQvGQ2DCMZgSe7w",
"name": "My Personal Meeting Room",
"room_id": "qMOLddnySIGGVycz8aX_JQ",
"tags": [
{
"tag_name": "private room",
"tag_id": "90bdda6c226f4f10a4b9a34be8d69f30"
}
],
"type": "ZoomRoom",
"calendar_resource_id": "u7GQ3q_zQbqJnNp02-oMjQ",
"user_id": "Ih3wZpAjTlitZcAhuYRbxg",
"pro_device": true
}
Status: 400 **HTTP Status Code:** `400` <br> Bad Request **Error Code:** `200` <br> Zoom Room subscription not found. Try again after purchasing a Zoom Room subscription.<br> At least one normal Zoom Rooms required.<br><br> <br> **Error Code:** `300` <br> Invalid parent location ID: {location_id}.<br> <br>
Status: 404 **HTTP Status Code:** `404` <br> Not Found **Error Code:** `4801` <br> Location not found: {location_id}.<br><br>. <br> **Error Code:** `4060` <br> Calendar resource does not exist: {resourceId}.<br><br> <br> **Error Code:** `8306` <br> Tag ID does not exist: [{tagId1}, {tagId2}]. <br>
Status: 429 **HTTP Status Code:** `429` <br> Too Many Requests. For more information, see [rate limits](https://developers.zoom.us/docs/api/rest/rate-limits/).
List digital signage contents
- Method:
GET - Path:
/accounts/{accountId}/rooms/digital_signage - Tags: Zoom Rooms
Use this API to return information about a Zoom account's Zoom Rooms digital signage content. You can also view this content in the Room Management section's Digital Signage Content tab in the Zoom web portal.
Prerequisites:
- A Pro or a higher account with Zoom Rooms.
- Existing content in the Digital Signage Content tab.
Scopes: room:master
Rate Limit Label: Medium
Responses
Status: 200 **HTTP Status Code:** `200` **OK** List returned.
Content-Type: application/json
-
contentsarrayItems:
-
idstring— Unique identifier of the content or the folder. -
namestring— Name of the content file or the folder.
-
-
next_page_tokenstring— The next page token is used to paginate through large result sets. A next page token will be returned whenever the set of available results exceeds the current page size. The expiration period for this token is 15 minutes. -
page_sizeinteger— The number of records returned within a single API call.
Example:
{
"contents": [
{
"id": "LHMmOOYaRiOA5m5WZjXVPA",
"name": "content name"
}
],
"next_page_token": "At6eWnFZ1FB3arCXnRxqHLXKhbDW18yz2i2",
"page_size": 20
}
Status: 400 **HTTP Status Code:** `400` <br> Bad Request
Status: 429 **HTTP Status Code:** `429` <br> Too Many Requests. For more information, see [rate limits](https://developers.zoom.us/docs/api/rest/rate-limits/).
Update E911 digital signage
- Method:
PATCH - Path:
/accounts/{accountId}/rooms/events - Tags: Zoom Rooms
Display or hide E911 emergency alert text content from Zoom Rooms digital signage.
Prerequisites:
- Zoom Rooms 5.3.0 or higher
- Zoom Rooms digital signage must be enabled
Scopes: room:master
Granular Scopes: zoom_rooms:update:room_controls:master
Rate Limit Label: MEDIUM
Request Body
Content-Type: application/json
One of:
-
methodstring, possible values:"zoomroom.emergency_alert_displayed"— To display the emergency content on the Zoom Rooms digital signage display, set the value of this field to be `zoomroom.emergency_alert_displayed`. -
paramsobject-
contentstring— Provide the content to be displayed. -
target_idsarray— Provide one of the following IDs associated with the Zoom Room. * `accountId`: Account ID of the Zoom account. Provide account ID as the value of this field to display the alert content on all Zoom Rooms' displays in the account. * `locationId`: Location ID. Get the value of this field by calling the [**List Zoom Rooms locations**](/docs/api-reference/zoom-api/methods#operation/listZRLocations) API. Provide location ID as the value of this field to display the alert content on all Zoom Rooms' displays listed in the specified location. * `roomId`: the Zoom Room ID. Get the value of this field by calling the [**List Zoom Rooms**](/docs/api-reference/zoom-api/methods#operation/listZoomRooms) API. Provide room ID as the value of this field to display the alert content on a specific Zoom Rooms' display.Items:
string -
target_typestring, possible values:"account", "location", "room"— Provide one of the following values for this field that is associated to the value you entered in the `target_ids` field. * `account` * `location` * `room`
-
-
methodstring, possible values:"zoomroom.emergency_alert_removed"— To remove the emergency content from the Zoom Rooms digital signage display, set the value of this field to be `zoomroom.emergency_alert_removed`. -
paramsobject-
event_idstring— Unique identifier of the event. -
force_removeboolean— If set to true, the Zoom Room, Location or Account will remove the current emergency alert message, even if the corresponding event_id is not supplied. -
target_idsarray— Provide one of the following IDs associated with the Zoom Room. * `accountId`: Account ID of the Zoom account. Provide account ID as the value of this field to remove the alert content from all Zoom Rooms' displays in the account. * `locationId`: Location ID. Get the value of this field by calling the [**List Zoom Rooms locations**](/docs/api-reference/zoom-api/methods#operation/listZRLocations) API. Provide location ID as the value of this field to remove the alert content from all Zoom Rooms' displays listed in the specified location. * `roomId`: the Zoom Room ID. Get the value of this field by calling the [**List Zoom Rooms**](/docs/api-reference/zoom-api/methods#operation/listZoomRooms) API. Provide room ID as the value of this field to remove the alert content from a specific Zoom Rooms' display.Items:
string -
target_typestring, possible values:"account", "location", "room"— Provide one of the following values for this field that is associated to the value you entered in the `target_ids` field. * `account` * `location` * `room`
-
Example:
{
"method": "zoomroom.emergency_alert_displayed",
"params": {
"content": "diaplay content",
"target_ids": [
"qMOLddnySIGGVycz8aX_JQ"
],
"target_type": "account"
}
}
Responses
Status: 202 **HTTP Status Code:** `202` **Accepted** List processed successfully.
Status: 400 **HTTP Status Code:** `400` <br> Bad Request **Error Code:** `300` <br> Event id is required.<br> Invalid value submitted for Target Ids. Provide a valid Target Id associated with the Target type. <br>
Status: 403 **HTTP Status Code:** `403` <br> Forbidden **Error Code:** `200` <br> Access restricted. <br><br> <br>
Status: 429 **HTTP Status Code:** `429` <br> Too Many Requests. For more information, see [rate limits](https://developers.zoom.us/docs/api/rest/rate-limits/).
Use Zoom Room controls
- Method:
PATCH - Path:
/accounts/{accountId}/rooms/{id}/events - Tags: Zoom Rooms
Controls Zoom Rooms, including:
- Room check-in and check-out.
- Video and audio mute on and off.
- Incoming meeting request accept or decline.
- Meeting join, leave, or end.
- Room restart.
- Cancellation.
- Switch between available cameras, speakers or microphones during a meeting.
- Start or stop screen sharing.
- Perform speaker volume changes during a meeting.
Prerequisites:
- Zoom Rooms must have been set up for use for the account and must be online.
- You must have access to the Calendar Integration APIs (either Microsoft Exchange or Google Calendar APIs) to get calendar information associated with the room.
Scopes: room:master
Granular Scopes: zoom_rooms:update:room_control:master
Rate Limit Label: MEDIUM
Request Body
Content-Type: application/json
One of:
-
method(required)string, possible values:"zoomroom.check_in"— The Zoom Rooms check-in feature that helps maximize your room utilization. This API can either **check in** and confirm that you are using the room reservation or **check out** of the room so that the room is released from the scheduled meeting and made available for others to use. -
paramsobject-
calendar_idstring— The `id` field included in the [`calendarList` resource](https://developers.google.com/calendar/v3/reference/calendarList#resource). This field is only required if using Google Calendar for the event associated with the Zoom Room. Retrieve the value for this field by calling Google's [`CalendarList:list` API](https://developers.google.com/calendar/v3/reference/events/list). Applies to `zoomroom.check_in` and `zoomroom.check_out`. -
change_keystring— Represent the specific version of the calendar item. Retrieve it using Microsoft's [FindItem Operation](https://docs.microsoft.com/en-us/exchange/client-developer/web-service-reference/finditem-operation). It refers to the `ChangeKey` field of the `ItemId` element included in the operation response. This field is required only for Microsoft Exchange or Office 365 calendar. Applies to `zoomroom.check_in` and `zoomroom.check_out`. -
event_idstring— **Required** The unique identifier of the calendar event associated with the Zoom Room. If using Microsoft Exchange for the calendar integration, retrieve the value of this field using Microsoft's [`FindItem` Operation](https://docs.microsoft.com/en-us/exchange/client-developer/web-service-reference/finditem-operation). The value is the `Id` field of the `ItemId` element included in the operation response. If using the Google calendar integration for this event, call Google's [`Events:list` API](https://developers.google.com/calendar/v3/reference/events/list) to retrieve the value. The value is the `id` field in the [events resource](https://developers.google.com/calendar/v3/reference/events#resource). Applies to `zoomroom.check_in` and `zoomroom.check_out`. -
resource_emailstring, format:email— The [resource mailbox](https://support.microsoft.com/en-us/help/10063/creating-and-managing-resource-mailboxes-in-office-365) associated with the calendar. This field is only required for Microsoft Exchange / Office 365 Calendar. Applies to `zoomroom.check_in` and `zoomroom.check_out`.
-
-
method(required)string, possible values:"zoomroom.check_out"— The Zoom Rooms check-in feature helps maximize your room utilization. Use this API to either **check in** and confirm that you are utilizing the room reservation or to **check out** of the room so that the room is released from the scheduled meeting and made available for others to use. -
paramsobject-
calendar_idstring— The `id` field included in the [calendarList resource](https://developers.google.com/calendar/v3/reference/calendarList#resource). This field is only required if Google Calendar is being used for the event associated with the Zoom Room. The value for this field can be retrieved by calling Google's [CalendarList:list API](https://developers.google.com/calendar/v3/reference/events/list). Applies to `zoomroom.check_in` and `zoomroom.check_out`. -
change_keystring— Represents the specific version of the calendar item. Retrieve it using Microsoft's [FindItem Operation](https://docs.microsoft.com/en-us/exchange/client-developer/web-service-reference/finditem-operation). It refers to the `ChangeKey` field of the `ItemId` element included in the operation response. This field is required only for Microsoft Exchange or Office 365 calendar. Applies to `zoomroom.check_in` and `zoomroom.check_out`. -
event_idstring— **Required** The unique identifier of the calendar event associated with the Zoom Room. If using Microsoft Exchange for the calendar integration, retrieve the value of this field using Microsoft's [FindItem Operation](https://docs.microsoft.com/en-us/exchange/client-developer/web-service-reference/finditem-operation). The value is the `Id` field of the `ItemId` element included in the operation response. If using the Google calendar integration for this event, call Google's [Events:list API](https://developers.google.com/calendar/v3/reference/events/list) to retrieve the value. The value is the `id` field in the [events resource](https://developers.google.com/calendar/v3/reference/events#resource). Applies to `zoomroom.check_in` and `zoomroom.check_out`. -
resource_emailstring, format:email— The [resource mailbox](https://support.microsoft.com/en-us/help/10063/creating-and-managing-resource-mailboxes-in-office-365) associated with the calendar. This field is only required for Microsoft Exchange / Office 365 Calendar. Applies to `zoomroom.check_in` and `zoomroom.check_out`.
-
-
method(required)string, possible values:"zoomroom.mute"— Mute the Zoom Rooms client.
-
method(required)string, possible values:"zoomroom.unmute"— Unmute the Zoom Rooms client.
-
method(required)string, possible values:"zoomroom.meeting_accept"— Accept a meeting through the Zoom Rooms client.
-
method(required)string, possible values:"zoomroom.meeting_decline"— Decline a meeting through the Zoom Rooms client.
-
method(required)string, possible values:"zoomroom.restart"— Restart the Zoom Room client.
-
method(required)string, possible values:"zoomroom.meeting_leave"— Leave a meeting in progress through the Zoom Rooms client.
-
method(required)string, possible values:"zoomroom.meeting_join"— Join a Zoom meeting from the Zoom Rooms client. -
paramsobject-
force_acceptboolean— Whether to force a user to immediately join the meeting. If true, forces the user to leave any current meetings and immediately join the meeting passed in the `meeting_number` value (or instant meeting, if there is no value). -
make_zoom_room_hostboolean— Default: false. If set to true, the Zoom Room will join this single meeting with the host role, if it joins before the meeting host and other participants, equivalent to the Zoom Rooms configuration setting [Make Zoom Rooms the host if it joins before meeting host and other participants](https://support.zoom.com/hc/en/article?id=zm_kb&sysparm_article=KB0060489) -
meeting_numberstring— **Required** The meeting number. If this field has a value, join the meeting identified by this number. If this field does not have a value, start an [instant meeting](https://support.zoom.us/hc/en-us/articles/201362533-Instant-meetings-vs-scheduled-meetings). Applies to `zoomroom.meeting_join`. -
passcodestring— The passcode to join the meeting.
-
-
method(required)string, possible values:"zoomroom.meeting_invite"— Invite a contact to use the Zoom Rooms client. -
paramsobject-
user_idsarray— (Required) A comma-separated list of callee user IDs, up to a maximum of 10 callees.Items:
string— The user ID.
-
-
method(required)string, possible values:"zoomroom.meeting_cancel"— Cancel a meeting via the Zoom Rooms client. -
paramsobject-
durationinteger— The scheduled meeting duration in minutes. -
meeting_topicstring— **Required** The meeting topic, up to 200 characters. -
start_timestring— **Required** The meeting's start time in ISO date-time format. If you use this value with the timezone, you must also pass the timezone field. -
timezonestring— The meeting's [timezone](https://developers.zoom.us/docs/api/rest/other-references/abbreviation-lists/#timezones). Optional if the `start_time` value includes a timezone offset. Applies to `zoomroom.meeting_cancel` and `zoomroom.meeting_schedule`.
-
-
method(required)string, possible values:"zoomroom.meeting_end"— End a meeting in progress hosted by the Zoom Rooms client.
-
method(required)string, possible values:"zoomroom.meeting_schedule"— Schedule a meeting using the Zoom Rooms client. -
paramsobject-
durationinteger— The scheduled meeting duration in minutes. Required for `zoomroom.meeting_cancel` and `zoomroom.meeting_schedule`. -
meeting_topicstring— **Required** The meeting topic, up to 200 characters. -
passcodestring— The passcode to join the meeting. -
settingsobject— The meeting settings. Applies to`zoomroom.meeting_schedule`.-
join_before_hostboolean— Whether to allow meeting participants to join before the meeting's host. Used only for scheduled or recurring meetings.
-
-
start_timestring— **Required** The meeting's start time in ISO date-time format. If you use this value with the timezone, you must also pass the timezone field. -
timezonestring— The meeting's [timezone](https://developers.zoom.us/docs/api/rest/other-references/abbreviation-lists/#timezones). Optional if the `start_time` value includes a timezone offset.
-
-
method(required)string, possible values:"zoomroom.thirdparty_meeting_join"— Join a third-party meeting. -
paramsobject-
event_idstring— The event ID of the event to be started. Join the meeting through the event in the calendar. It is required for schedule meeting, but not for ad hoc meetings. When using this field, other fields will all default to null. -
join_typestring, possible values:"url", "meeting_id", "sip"— The specific method of joining a conference. This field is only applicable to ad hoc conferences and is required. * `url` — Joining a meeting through the Teams/Meet joining URL. * `meeting_id` — Joining the meeting through the meeting ID and passcode of MS_TEAMS/GOOGLE_MEET. -
join_urlstring— The URL for joining a Teams/Meet meeting. It needs to be filled only when `join_type` is url, and `meeting_source_type` is MS_TEAMS/GOOGLE_MEET. -
meeting_source_typestring, possible values:"MS_TEAMS", "GOOGLE_MEET"— The type of third-party meeting that is specifically joined. Only required when `join_type` is `url` or `meeting_id`. * `MS_TEAMS` — MS teams meeting. * `GOOGLE_MEET` — Google Meet meeting. -
passcodestring— The passcode for joining a third-party meeting. This field is not mandatory, it can be filled in when the meeting really has a passcode. It is required when join_type is meeting_id, and meeting_source_type is MS_TEAMS. -
sip_addressstring— The full SIP address to join the third-party meeting. If the SIP conference has a passcode, the passcode must be spliced according to the rules of the SIP provider. It is required only when `join_type` is `sip`. -
third_party_meeting_idstring— The meeting id of the third-party meeting. It is required only when `join_type` is `meeting_id`, and `meeting_source_type` is `MS_TEAMS`/`GOOGLE_MEET`.
-
-
method(required)string, possible values:"zoomroom.alarm_start"— Start a Zoom Room alert.
-
method(required)string, possible values:"zoomroom.alarm_stop"— Stop a Zoom Room alert.
-
method(required)string, possible values:"zoomroom.video_mute"— Mute the Zoom Rooms client's camera(s).
-
method(required)string, possible values:"zoomroom.video_unmute"— Unmute the Zoom Rooms client's camera(s).
-
method(required)string, possible values:"zoomroom.switch_camera"— Switch the camera used by the Zoom Rooms client during a meeting. This API has no effect if the Zoom Rooms client is not in a meeting. -
paramsobject-
cameraIdstring— **Required** The new camera ID for the Zoom Rooms client to use. Retrieve [Zoom Room device information](https://developers.zoom.us/docs/api/rest/reference/zoom-rooms/methods/#operation/listZRDevices) to find the available camera device IDs. This API has no effect if an invalid device ID is specified.
-
-
method(required)string, possible values:"zoomroom.switch_microphone"— Switch the microphone used by the Zoom Rooms client during a meeting. This API has no effect if the Zoom Rooms client is not in a meeting. -
paramsobject-
microphoneIdstring— **Required** The new microphone ID for the Zoom Rooms client to use. Retrieve [Zoom Room device information](https://developers.zoom.us/docs/api/rest/reference/zoom-rooms/methods/#operation/listZRDevices) to find the available microphone device IDs. This API has no effect if an invalid device ID is specified.
-
-
method(required)string, possible values:"zoomroom.switch_speaker"— Switch the speaker used by the Zoom Rooms client during a meeting. This API has no effect if the Zoom Rooms client is not in a meeting. -
paramsobject-
speakerIdstring— **Required** The new speaker ID for the Zoom Rooms client to use. Retrieve [Zoom Room device information](https://developers.zoom.us/docs/api/rest/reference/zoom-rooms/methods/#operation/listZRDevices) to find the available speaker device IDs. This API has no effect if an invalid device ID is specified.
-
-
method(required)string, possible values:"zoomroom.share_content_start"— Start sharing content on the Zoom Rooms client.
-
method(required)string, possible values:"zoomroom.share_content_stop"— Stop sharing content on the Zoom Rooms client.
-
method(required)string, possible values:"zoomroom.volume_level"— Change the speaker volume of the Zoom Rooms client. This API has no effect if used when the Zoom Room is not in a meeting. -
paramsobject-
volume_levelinteger— **Required** The new speaker volume level for the Zoom Rooms client to use. Acceptable values range from 0-100. This API has no effect if an invalid device ID is specified.
-
Example:
{
"method": "zoomroom.check_in",
"params": {
"calendar_id": "mycalendar@example.com",
"change_key": "test_change_key",
"event_id": "ebrg2b87a6uu9c678qhvsiahsc",
"resource_email": "zroom1@example.com"
}
}
Responses
Status: 202 **HTTP Status Code:** `202` **Accepted** Request processed successfully.
Status: 400 **HTTP Status Code:** `400` <br> Bad Request **Error Code:** `300` <br> * Zoom Room is offline. Please ensure that the Zoom Room is online before checking in or checking out. *Invalid parameters.* Device does not exist: {cameraId or speakerId or microphoneId}. <br>
Status: 404 **HTTP Status Code:** `404` <br> Not Found **Error Code:** `1012` <br> Room does not exist: {roomId}. <br>
Status: 429 **HTTP Status Code:** `429` <br> Too Many Requests. For more information, see [rate limits](https://developers.zoom.us/docs/api/rest/rate-limits/).
Get Zoom Room settings
- Method:
GET - Path:
/accounts/{accountId}/rooms/{id}/settings - Tags: Zoom Rooms
Get information on meeting, alert, digital signage or scheduling display settings applied to a specific Zoom Room. By default, only Meeting Settings are returned. To view only Alert Settings, specify alert as the value of the setting_type query parameter.
Prerequisites: Zoom Room licenses Owner or Admin privileges on the Zoom Account.
Scopes: room:master
Granular Scopes: zoom_rooms:read:room_settings:master
Rate Limit Label: MEDIUM
Responses
Status: 200 **HTTP Status Code:** `200` **OK** Zoom Room settings returned successfully.
Content-Type: application/json
One of:
-
meeting_securityobject-
auto_securityboolean— Whether to require that all meetings are secured with one security option. Require that all meetings are secured with one of the following security options: a passcode, Waiting Room, or "Only authenticated users can join meetings". If no security option is enabled, Zoom will secure all meetings with Waiting Room. -
encryption_typestring, possible values:"enhanced_encryption", "e2ee"— Choose between enhanced encryption and [end-to-end encryption](https://support.zoom.us/hc/en-us/articles/360048660871) when starting or a meeting. When using end-to-end encryption, several features (e.g. cloud recording, phone/SIP/H.323 dial-in) will be **automatically disabled**. The value of this field can be one of the following: `enhanced_encryption`: Enhanced encryption. Encryption is stored in the cloud if you enable this option. `e2ee`: [End-to-end encryption](https://support.zoom.us/hc/en-us/articles/360048660871). The encryption key is stored in your local device and can not be obtained by anyone else. Enabling this setting also **disables** the following features: join before host, cloud recording, streaming, live transcription, breakout rooms, polling, 1:1 private chat, and meeting reactions. -
end_to_end_encrypted_meetingsboolean— Allow use of end-to-end encryption for meetings. If set to `true`, you can specify the encryption type in `encryption_type` field. -
meeting_passwordboolean— A passcode will be generated when scheduling a meeting and participants require the passcode to join the meeting. The Personal Meeting ID (PMI) meetings are not included. -
password_for_rmistring— A passcode will be generated when joining a room meeting with Room Personal Meeting ID. -
phone_passwordboolean— A numeric passcode will be required for participants joining by phone if your meeting has a passcode. For meeting with an alphanumeric passcode, a numeric version will be generated. -
require_password_for_scheduled_meetingboolean— Require a passcode for meetings which have already been scheduled -
rmi_passwordboolean— All Room Meeting ID meetings that users can join via client, or room systems will be passcode-protected. -
waiting_roomboolean— When participants join a meeting, place them in a waiting room and require the host to admit them individually. Enabling the waiting room automatically disables the setting for allowing participants to join before host.
-
-
zoom_roomsobject-
allow_multiple_content_sharingboolean— Enable multiple participants to [share content simultaneously](https://support.zoom.us/hc/en-us/articles/360017767812-Sharing-Multiple-Screens-in-a-Zoom-Room) by default. -
audio_device_daily_auto_testboolean— Enable [automated audio test](https://support.zoom.us/hc/en-us/articles/360000319683-Zoom-Rooms-Daily-Audio-Testing) to ensure high quality audio. -
auto_direct_sharingboolean— Enable participants in a Zoom Room to share their laptop screen on the Zoom Room TV without entering a meeting ID or sharing code. -
auto_start_scheduled_meetingboolean— Automatically start scheduled meetings according to the start time listed on the calendar associated with the room. A meeting alert will appear 10 minutes prior to the scheduled time on the TV. -
auto_stop_scheduled_meetingboolean— Automatically stop the meeting at the end time as scheduled and listed in the calendar associated with the room. -
automatically_accept_far_end_camera_control_requestboolean— If enabled, the Zoom Room will automatically accept incoming far end camera control (FECC) requests from other Zoom clients received during a Zoom meeting -
bypass_meeting_passwordboolean— If enabled, users do not need to manually enter the meeting passcode when a Zoom Room joins a scheduled meeting on its meeting list. -
count_attendees_number_in_roomboolean— Use facial detection technology to [determine and display the attendees count](https://support.zoom.us/hc/en-us/articles/360031027111-Count-Attendees-in-Zoom-Rooms) after meetings on Dashboard. -
display_feedback_surveyboolean— Display a [survey](https://support.zoom.us/hc/en-us/articles/214193146-End-of-Meeting-Attendee-Feedback) at the end of each meeting regarding the audio and video quality on the Zoom Rooms Controller. -
display_meeting_listboolean— Show the same information on the TV that is shown on the controller. -
display_top_bannerboolean— Allow to display room name, time and sharing key on the top portion of TV. -
encrypt_shared_screen_contentboolean— Encrypt screen and content shared in meetings. -
entry_exit_chimestring, possible values:"host", "all", "none"— The sound that plays when participants join or leave a meeting: * `host` — Chime when host joins or leaves a meeting. * `all` — Chime when any participant joins or leaves a meeting. * `none` — Do not chime. -
hide_id_for_private_meetingboolean— If enabled, the meeting host and meeting ID (in addition to the meeting topic) are hidden from the Zoom Rooms display for private meetings. This affects meetings that were originally scheduled as private, as well as public meetings that were transformed to private. -
hide_share_instructionboolean— Hide share instructions from TV. -
hide_user_personal_informationboolean— If enabled, all personal information in contact details page will be hidden. -
incoming_meeting_requestobject-
automatically_accept_incoming_meeting_requestboolean— If enabled, the Zoom Room will automatically accept incoming meeting requests (calls), such as being invited to a meeting in progress -
automatically_unmuteboolean— If enabled, the Zoom Room will automatically unmute after it automatically accepts the incoming meeting request and joins the meeting
-
-
make_room_alternative_hostboolean— If enabled, a Zoom Room automatically becomes the host when it joins an internal meeting before the host and other participants. -
record_play_own_voiceboolean— When a participant joins by telephone, whether recording and playing the participant's own voice is enabled. -
remote_supportboolean, default:false— Whether to enable the [**Remote support**](https://support.zoom.us/hc/en-us/articles/360060951012-Enabling-remote-support) setting. This value defaults to `false`. By enabling this setting, the setting `allow_multiple_content_sharing` will not work. -
send_whiteboard_to_internal_contact_onlyboolean— Restrict[ sending Whiteboard sessions](https://support.zoom.us/hc/en-us/articles/115004797286-Using-the-Whiteboard-in-Zoom-Rooms-for-Touch#h_781274b3-5237-4320-8826-be2120b00e21) to contacts or internal users only. -
show_alert_before_meetingboolean— If enabled, the upcoming meeting alert message will be shown on the TV display. The value of the `upcoming_meeting_alert` field should be set to `true` to use this field. -
show_call_history_in_roomboolean— Allow users to see call history of joined meetings and phone calls from the Zoom Rooms controller. -
show_contact_list_on_controllerboolean— If enabled, you can invite participants from the contact list during a meeting or when starting a meeting -
show_non_video_participantsboolean— If enabled, meeting participants that are audio only or have their video turned off will also be shown on the Zoom Rooms display by default. -
start_airplay_manuallyboolean— Require the AirPlay service to be [started by an administrator](https://support.zoom.us/hc/en-us/articles/204726885-Screen-Share-Using-Airplay-Mirroring#h_a342ad38-4e46-47a8-a1d9-cded3b144b39) rather than always being available. -
start_airplay_mirroringboolean— Allow users to share content via Apple Screen Mirroring (called Airplay on iOS 11 or earlier) in Zoom Rooms -
support_join_3rd_party_meetingboolean— Integrate with Skype for Business, GoToMeeting, or WebEx and show the meeting dial-in button on the meeting list tab for Zoom Rooms Controllers. -
transform_meeting_to_privateboolean— If enabled, all meetings in this room will be treated as [private meetings](https://support.zoom.us/hc/en-us/articles/115001051063-Zoom-Rooms-Private-Meetings), and the Zoom Room will display "Your Name's Meeting" instead of the real meeting topic. -
upcoming_meeting_alertboolean— If enabled, a reminder will display 10 minutes prior to the next scheduled meeting on the controller. -
weekly_system_restartboolean— [Restart](https://support.zoom.us/hc/en-us/articles/205418949-Zoom-Rooms-Weekly-System-Restart) the Zoom Rooms computer and controller once a week. -
zr_always_display_name_label_in_meetingboolean— When "Always display participant name labels in meetings" is enabled, participant name labels should be shown in all meetings (even in 1:1 meetings) attended by a Zoom Room. When it is disabled, the current behavior should be preserved.
-
-
client_alertobject— The Client Alert Settings section includes alerts that display on the TV screen of the Zoom Room. Disable these settings if you have deliberately disconnected one or more peripheral devices or have never enabled them.-
cpu_usage_high_detected_notification_on_zr_displayboolean— Display a notification message on the Zoom Room display when CPU usage is above 90%. -
detect_bluetooth_microphone_error_alertboolean— Display an alert message when an issue is detected with a bluetooth microphone. -
detect_bluetooth_speaker_error_alertboolean— Display an alert message when an issue is detected with a bluetooth speaker. -
detect_camera_error_alertboolean— Display an alert message when an issue is detected with a camera. -
detect_microphone_error_alertboolean— Display an alert message when an issue is detected with microphone. -
detect_speaker_error_alertboolean— Display an alert message when an issue is detected with a speaker. -
network_unstable_detected_notification_on_zr_displayboolean— Display a notification message on the Zoom Room display low bandwidth network is detected
-
-
digital_signageobject-
bannerobject— Specifies the elements that you want to display in the top banner.-
banner_room_nameboolean— Display or hide banner room name. -
banner_sharing_keyboolean— Display or hide banner sharing key. -
banner_timeboolean— Display or hide time in the banner.
-
-
display_periodobject— Display period object lets you define the number of minutes before or after the scheduled meeting time you would like the content to display.-
start_displaying_contentinteger— Start displaying digital signage content after certain duration after the meeting ends. The value of this field indicates the duration in minutes. -
stop_displaying_contentinteger— Stop displaying content {certain_duration} before a meeting is scheduled to begin. The value of this field indicates the duration in minutes.
-
-
enable_digital_signageboolean— [Indicates whether digital signage is on or off,](https://support.zoom.us/hc/en-us/articles/360000030683-Zoom-Rooms-digital-signage#h_767fbb33-82a8-45a8-8392-a1bfa9687edd). `true`: enable `false`: disable -
layoutstring— Set the [layout](https://support.zoom.us/hc/en-us/articles/360000030683-Zoom-Rooms-digital-signage#h_4e25ddf3-8f97-4957-8f8b-99725f940fa7). The value of this field can be either `standard` or `video_content`. `standard`: Standard Center `video_content`: Video + Content -
muteboolean— Sound of all contents will be muted if the value of this field is set to `true`. -
play_listarray— Content list.Items:
-
actionstring, possible values:"add", "update", "delete"— Specify an action for the content list. The value can be one of the following: `add`: Add another content list. `update`: Update existing content list. `delete`: Delete content list. -
contentsarrayItems:
-
content_idstring— Content Id. -
durationinteger— Duration for how long the content will be displayed. -
idstring -
namestring— Name of the content. -
orderinteger— Order of the content in the display.
-
-
end_timestring— Specify the display end time for the content list in GMT. -
idstring— Unique identifier of the content list. This field is only required if you would like to remove or update the content list. -
namestring— Name of the content list. -
start_timestring— Specify the display start time for the content list in GMT.
-
-
-
notificationobject— [Notifications Settings](https://support.zoom.us/hc/en-us/articles/205394099-Zoom-Room-Alerts#h_b430b5f2-5150-4522-9c96-c77f22ab70bc) includes the circumstances in which the room sends an email alert to the support team to notify them of a potentially urgent issue. These issues can affect the operation of the room, but do not display on the TV screen. The email alert is sent to the email address specified in the Notification Email Recipients section.-
audio_meet_usability_thresholdboolean— Send an alert when the audio echo test result meets usability threshold. -
audio_not_meet_usability_thresholdboolean— Send an alert when the audio echo test result does not meet usability threshold. -
battery_is_chargingboolean— Send an alert when the battery starts charging. -
battery_low_and_not_chargingboolean— Send an alert when the battery of the controller or the scheduling display is low (at 20%) and is not being charged. -
battery_percentagestring— Specify a percentage so that an alert is sent when the battery is less than the {battery_percentage} that you specified. -
controller_scheduling_disconnectedboolean— Send an alert when the connection to the Controller or Scheduling Display cannot be detected. -
controller_scheduling_reconnectedboolean— Send an alert when the Controller or Scheduling Display can be detected again. -
cpu_usage_high_detectedboolean— Send an alert when CPU usage is above 90%. -
mic_speaker_camera_disconnectedboolean— Send an alert when the mic, speaker or camera is disconnected in the Zoom Room. -
mic_speaker_camera_reconnectedboolean— Send an alert when the mic, speaker or camera is reconnected. -
network_unstable_detectedboolean— Send an alert when low bandwidth network is detected -
sip_registration_failedboolean— Send an alert when SIP registration stops working. -
sip_registration_re_enabledboolean— Send an alert after the SIP registration is re-enabled. -
zoom_room_calendar_resource_is_inaccessibleboolean— Send a notification when the calendar resource of a Zoom Room configured with calendar integration is inaccessible. -
zoom_room_come_back_onlineboolean— Send an alert when the Zoom Room is online after previously being offline. -
zoom_room_display_disconnectedboolean— Send an alert when the TV display is disconnected -
zoom_room_offlineboolean— Send an alert when the machine hosting the Zoom Room application has a network issue or cannot connect with the Controller.
-
-
scheduling_displayobject— Scheduling Display Settings section includes performing Zoom Room reservations and setting the home screen theme on the Scheduling Display device.-
home_screen_qr_code_supporting_textstring— If the Zoom Rooms Scheduling Display home screen theme is "compact", a space is reserved for additional text to appear adjacent to the space reserved for a QR code. This setting has no effect if the home screen theme is "standard". -
home_screen_qr_code_urlstring— If the Zoom Rooms Scheduling Display home screen theme is "compact", a space is reserved for a QR code to be displayed. You may optionally provide a URL which Zoom will use to automatically generate the corresponding QR code image. If you provide a URL that exceeds 100 characters in total length, Zoom will automatically use the Zoom URL shortening service to generate a shortened URL that will redirect to your actual URL; the URL is shortened to increase QR code scan reliability. This setting has no effect if the home screen theme is "standard". -
home_screen_themestring, possible values:"standard", "compact"— The Zoom Room Scheduling Display UI theme. -
instant_room_reservationboolean— If enabled, the Zoom Room Scheduling Display will allow a user to perform an instant room reservation on the device. -
reserve_other_roomsobject— Contains settings that allows Zoom Room Scheduling Display to reserve other Zoom Rooms.-
allow_to_reserve_other_roomsboolean— If enabled, the Zoom Room Scheduling Display will allow a user to perform instant room reservations of other rooms on the device. -
location_typesstring, possible values:"city", "campus", "building", "floor"— The Zoom Room Scheduling Display will allow a user to find other rooms to reserve in the same parent Zoom Rooms Location Hierarchy Location as this device, and higher Location levels if so configured. Use the API [Get Zoom Room Location Structure](https://developers.zoom.us/docs/api/rest/reference/zoom-rooms/methods/#operation/getZRLocationStructure) to determine valid Location levels.
-
-
set_scheduling_display_background_image_to_zoom_room_backgroundboolean— If enabled, the Zoom Room Scheduling Display will use the same background image as the Zoom Room. Note: Some Zoom Rooms Scheduling displays use a different display aspect ratio than standard 16:9; the background image will be scaled to fit the Scheduling Display's display, with any excess cropped.
-
Example:
{
"meeting_security": {
"encryption_type": "e2ee",
"end_to_end_encrypted_meetings": true,
"auto_security": true,
"waiting_room": true,
"meeting_password": true,
"require_password_for_scheduled_meeting": true,
"rmi_password": true,
"password_for_rmi": "true",
"phone_password": true
},
"zoom_rooms": {
"allow_multiple_content_sharing": true,
"remote_support": true,
"audio_device_daily_auto_test": true,
"auto_direct_sharing": true,
"auto_start_scheduled_meeting": true,
"auto_stop_scheduled_meeting": true,
"count_attendees_number_in_room": true,
"display_feedback_survey": true,
"display_meeting_list": true,
"display_top_banner": true,
"encrypt_shared_screen_content": true,
"hide_id_for_private_meeting": true,
"hide_share_instruction": true,
"send_whiteboard_to_internal_contact_only": true,
"show_alert_before_meeting": true,
"show_call_history_in_room": true,
"show_contact_list_on_controller": true,
"make_room_alternative_host": true,
"hide_user_personal_information": true,
"bypass_meeting_password": true,
"show_non_video_participants": true,
"start_airplay_manually": true,
"start_airplay_mirroring": true,
"support_join_3rd_party_meeting": true,
"transform_meeting_to_private": true,
"upcoming_meeting_alert": true,
"weekly_system_restart": true,
"entry_exit_chime": "all",
"record_play_own_voice": true,
"incoming_meeting_request": {
"automatically_accept_incoming_meeting_request": true,
"automatically_unmute": true
},
"automatically_accept_far_end_camera_control_request": true,
"zr_always_display_name_label_in_meeting": false
}
}
Status: 400 **HTTP Status Code:** `400` <br> Bad Request **Error Code:** `200` <br> Zoom Room subscription not found. Try again after purchasing a Zoom Room subscription.<br> Access restricted. <br>
Status: 404 **HTTP Status Code:** `404` <br> Not Found **Error Code:** `1012` <br> Room not found:{roomId}. <br>
Status: 429 **HTTP Status Code:** `429` <br> Too Many Requests. For more information, see [rate limits](https://developers.zoom.us/docs/api/rest/rate-limits/).
Update Zoom Room settings
- Method:
PATCH - Path:
/accounts/{accountId}/rooms/{id}/settings - Tags: Zoom Rooms
Update meeting, alert, digital signage or scheduling display settings applied to a specific Zoom Room. To update Alert Settings, specify alert as the value of the setting_type query parameter. To update Meeting Settings, specify meeting as the value of the setting_type query parameter. Prerequisites: * Zoom Room licenses.* Owner or Admin privileges on the Zoom Account.
Scopes: room:master
Granular Scopes: zoom_rooms:update:room_settings:master
Rate Limit Label: MEDIUM
Request Body
Content-Type: application/json
One of:
-
meeting_securityobject-
auto_securityboolean— Whether to require that all meetings are secured with one security option. Require that all meetings are secured with one of the following security options: a passcode, Waiting Room, or "Only authenticated users can join meetings". If no security option is enabled, Zoom will secure all meetings with Waiting Room. -
encryption_typestring, possible values:"enhanced_encryption", "e2ee"— Choose between enhanced encryption and [end-to-end encryption](https://support.zoom.us/hc/en-us/articles/360048660871) when starting or a meeting. When using end-to-end encryption, several features (e.g. cloud recording, phone/SIP/H.323 dial-in) will be **automatically disabled**. The value of this field can be one of the following: `enhanced_encryption`: Enhanced encryption. Encryption is stored in the cloud if you enable this option. `e2ee`: [End-to-end encryption](https://support.zoom.us/hc/en-us/articles/360048660871). The encryption key is stored in your local device and can not be obtained by anyone else. Enabling this setting also **disables** the following features: join before host, cloud recording, streaming, live transcription, breakout rooms, polling, 1:1 private chat, and meeting reactions. -
end_to_end_encrypted_meetingsboolean— Allow use of end-to-end encryption for meetings. If set to `true`, you can specify the encryption type in `encryption_type` field.
-
-
zoom_roomsobject-
allow_multiple_content_sharingboolean— Enable multiple participants to [share content simultaneously](https://support.zoom.us/hc/en-us/articles/360017767812-Sharing-Multiple-Screens-in-a-Zoom-Room) by default. -
audio_device_daily_auto_testboolean— Enable [automated audio test](https://support.zoom.us/hc/en-us/articles/360000319683-Zoom-Rooms-Daily-Audio-Testing) to ensure high quality audio. -
auto_direct_sharingboolean— Enable participants in a Zoom Room to share their laptop screen on the Zoom Room TV without entering a meeting ID or sharing code. -
auto_start_scheduled_meetingboolean— Automatically start scheduled meetings according to the start time listed on the calendar associated with the room. A meeting alert will appear 10 minutes prior to the scheduled time on the TV. -
auto_stop_scheduled_meetingboolean— Automatically stop the meeting at the end time as scheduled and listed in the calendar associated with the room. -
automatically_accept_far_end_camera_control_requestboolean— If enabled, the Zoom Room will automatically accept incoming far end camera control (FECC) requests from other Zoom clients received during a Zoom meeting -
bypass_meeting_passwordboolean— If enabled, users do not need to manually enter the meeting passcode when a Zoom Room joins a scheduled meeting on its meeting list. -
count_attendees_number_in_roomboolean— Use facial detection technology to [determine and display the attendees count](https://support.zoom.us/hc/en-us/articles/360031027111-Count-Attendees-in-Zoom-Rooms) after meetings on Dashboard. -
display_feedback_surveyboolean— Display a [survey](https://support.zoom.us/hc/en-us/articles/214193146-End-of-Meeting-Attendee-Feedback) at the end of each meeting regarding the audio and video quality on the Zoom Rooms Controller. -
display_meeting_listboolean— Show the same information on the TV that is shown on the controller. -
display_top_bannerboolean— Allow to display room name, time and sharing key on the top portion of TV. -
encrypt_shared_screen_contentboolean— Encrypt screen and content shared in meetings. -
entry_exit_chimestring, possible values:"host", "all", "none"— The sound that plays when participants join or leave a meeting: * `host` — Chime when host joins or leaves a meeting. * `all` — Chime when any participant joins or leaves a meeting. * `none` — Do not chime. -
hide_id_for_private_meetingboolean— If enabled, the meeting host and meeting ID (in addition to the meeting topic) are hidden from the Zoom Rooms display for private meetings. This affects meetings that were originally scheduled as private, as well as public meetings that were transformed to private. -
hide_share_instructionboolean— Hide share instructions from TV. -
hide_user_personal_informationboolean— If enabled, all personal information in contact details page will be hidden. -
incoming_meeting_requestobject-
automatically_accept_incoming_meeting_requestboolean— If enabled, the Zoom Room will automatically accept incoming meeting requests (calls), such as being invited to a meeting in progress -
automatically_unmuteboolean— If enabled, the Zoom Room will automatically unmute after it automatically accepts the incoming meeting request and joins the meeting
-
-
make_room_alternative_hostboolean— If enabled, a Zoom Room automatically becomes the host when it joins an internal meeting before the host and other participants. -
record_play_own_voiceboolean— When a participant joins by telephone, whether recording and playing the participant's own voice is enabled. -
remote_supportboolean, default:false— Whether to enable the [**Remote support**](https://support.zoom.us/hc/en-us/articles/360060951012-Enabling-remote-support) setting. This value defaults to `false`. By enabling this setting, the setting `allow_multiple_content_sharing` will not work. -
send_whiteboard_to_internal_contact_onlyboolean— Restrict[ sending Whiteboard sessions](https://support.zoom.us/hc/en-us/articles/115004797286-Using-the-Whiteboard-in-Zoom-Rooms-for-Touch#h_781274b3-5237-4320-8826-be2120b00e21) to contacts or internal users only. -
show_alert_before_meetingboolean— If enabled, the upcoming meeting alert message will be shown on the TV display. The value of the `upcoming_meeting_alert` field should be set to `true` to use this field. -
show_call_history_in_roomboolean— Allow users to see call history of joined meetings and phone calls from the Zoom Rooms controller. -
show_contact_list_on_controllerboolean— If enabled, you can invite participants from the contact list during a meeting or when starting a meeting -
show_non_video_participantsboolean— If enabled, meeting participants that are audio only or have their video turned off will also be shown on the Zoom Room display by default. -
start_airplay_manuallyboolean— Require the AirPlay service to be [started by an administrator](https://support.zoom.us/hc/en-us/articles/204726885-Screen-Share-Using-Airplay-Mirroring#h_a342ad38-4e46-47a8-a1d9-cded3b144b39) rather than always being available. -
start_airplay_mirroringboolean— Allow users to share content via Apple Screen Mirroring (called Airplay on iOS 11 or earlier) in Zoom Rooms -
support_join_3rd_party_meetingboolean— Integrate with Skype for Business, GoToMeeting, or WebEx and show the meeting dial-in button on the meeting list tab for Zoom Rooms Controllers. -
transform_meeting_to_privateboolean— If enabled, all meetings in this room will be treated as [private meetings](https://support.zoom.us/hc/en-us/articles/115001051063-Zoom-Rooms-Private-Meetings), and the Zoom Room will display "Your Name's Meeting" instead of the real meeting topic. -
upcoming_meeting_alertboolean— If enabled, a reminder will display 10 minutes prior to the next scheduled meeting on the controller. -
weekly_system_restartboolean— [Restart](https://support.zoom.us/hc/en-us/articles/205418949-Zoom-Rooms-Weekly-System-Restart) the Zoom Rooms computer and controller once a week.
-
-
client_alertobject— The Client Alert Settings section includes alerts that display on the TV screen of the Zoom Room. Disable these settings if you have deliberately disconnected one or more peripheral devices or have never enabled them.-
cpu_usage_high_detected_notification_on_zr_displayboolean— Display a notification message on the Zoom Room display when CPU usage is above 90%. -
detect_bluetooth_microphone_error_alertboolean— Display an alert message when an issue is detected with a bluetooth microphone. -
detect_bluetooth_speaker_error_alertboolean— Display an alert message when an issue is detected with a bluetooth speaker. -
detect_camera_error_alertboolean— Display an alert message when an issue is detected with a camera. -
detect_microphone_error_alertboolean— Display an alert message when an issue is detected with microphone. -
detect_speaker_error_alertboolean— Display an alert message when an issue is detected with a speaker. -
network_unstable_detected_notification_on_zr_displayboolean— Display a notification message on the Zoom Room display low bandwidth network is detected
-
-
digital_signageobject-
bannerobject-
banner_room_nameboolean -
banner_sharing_keyboolean -
banner_timeboolean
-
-
display_periodobject— Display period object lets you define the number of minutes before or after the scheduled meeting time you would like the content to display.-
start_displaying_contentinteger— Start displaying digital signage content after certain duration after the meeting ends. Specify the value of the duration in minutes in this field. -
stop_displaying_contentinteger— Stop displaying content {certain_duration} before a meeting is scheduled to begin. Specify the value of duration in minutes in this field.
-
-
enable_digital_signageboolean— [Enable or disable digital signage](https://support.zoom.us/hc/en-us/articles/360000030683-Zoom-Rooms-digital-signage#h_767fbb33-82a8-45a8-8392-a1bfa9687edd). `true`: enable `false`: disable -
layoutstring— Set the [layout](https://support.zoom.us/hc/en-us/articles/360000030683-Zoom-Rooms-digital-signage#h_4e25ddf3-8f97-4957-8f8b-99725f940fa7). The value of this field can be either `standard` or `video_content`. `standard`: Standard Center `video_content`: Video + Content -
muteboolean— Sound of all contents will be muted if the value of this field is set to `true`. -
play_listarray— Content list.Items:
-
actionstring, possible values:"add", "update", "delete"— Specify an action for the content list. The value can be one of the following: `add`: Add another content list. `update`: Update existing content list. `delete`: Delete content list. -
contentsarrayItems:
-
actionstring— Specify an action for the content in the content list. The value can be one of the following: `add`: Add another content to the content list. `update`: Update existing content's information in the content list. `delete`: Delete content from the content list. -
content_idstring— Content Id. -
durationinteger— By default each content is display for 5 seconds. Using this field, specify how long you would like to display the content. -
idstring— Unique identifier of the content. This field is only required if you would like to remove or update the content information. -
namestring— Name of the content. -
orderinteger— Order of the content in the display.
-
-
end_timestring— Specify the display end time for the content list in GMT. -
idstring— Unique identifier of the content list. This field is only required if you would like to remove or update the content list. -
namestring— Name of the content list. -
start_timestring— Specify the display start time for the content list in GMT.
-
-
-
notificationobject— [Notifications Settings](https://support.zoom.us/hc/en-us/articles/205394099-Zoom-Room-Alerts#h_b430b5f2-5150-4522-9c96-c77f22ab70bc) includes the circumstances in which the room sends an email alert to the support team to notify them of a potentially urgent issue. These issues can affect the operation of the room, but do not display on the TV screen. The email alert is sent to the email address specified in the Notification Email Recipients section.-
audio_meet_usability_thresholdboolean— Send an alert when the audio echo test result meets usability threshold. -
audio_not_meet_usability_thresholdboolean— Send an alert when the audio echo test result does not meet usability threshold. -
battery_is_chargingboolean— Send an alert when the battery starts charging. -
battery_low_and_not_chargingboolean— Send an alert when the battery of the controller or the scheduling display is low (at 20%) and is not being charged. -
battery_percentagestring— Specify a percentage so that an alert is sent when the battery is less than the {battery_percentage} that you specified. -
controller_scheduling_disconnectedboolean— Send an alert when the connection to the Controller or Scheduling Display cannot be detected. -
controller_scheduling_reconnectedboolean— Send an alert when the Controller or Scheduling Display can be detected again. -
cpu_usage_high_detectedboolean— Send an alert when CPU usage is above 90%. -
mic_speaker_camera_disconnectedboolean— Send an alert when the mic, speaker or camera is disconnected in the Zoom Room. -
mic_speaker_camera_reconnectedboolean— Send an alert when the mic, speaker or camera is reconnected. -
network_unstable_detectedboolean— Send an alert when low bandwidth network is detected -
sip_registration_failedboolean— Send an alert when SIP registration stops working. -
sip_registration_re_enabledboolean— Send an alert after the SIP registration is re-enabled. -
zoom_room_come_back_onlineboolean— Send an alert when the Zoom Room is online after previously being offline. -
zoom_room_display_disconnectedboolean— Send an alert when the TV display is disconnected -
zoom_room_offlineboolean— Send an alert when the machine hosting the Zoom Room application has a network issue or cannot connect with the Controller.
-
-
scheduling_displayobject— Scheduling Display Settings section includes performing Zoom Room reservations and setting the home screen theme on the Scheduling Display device.-
home_screen_qr_code_supporting_textstring— If the Zoom Rooms Scheduling Display home screen theme is "compact", a space is reserved for additional text to appear adjacent to the space reserved for a QR code. This setting has no effect if the home screen theme is "standard". -
home_screen_qr_code_urlstring— If the Zoom Rooms Scheduling Display home screen theme is "compact", a space is reserved for a QR code to be displayed. You may optionally provide a URL which Zoom will use to automatically generate the corresponding QR code image. If you provide a URL that exceeds 100 characters in total length, Zoom will automatically use the Zoom URL shortening service to generate a shortened URL that will redirect to your actual URL; the URL is shortened to increase QR code scan reliability. This setting has no effect if the home screen theme is "standard". -
home_screen_themestring, possible values:"standard", "compact"— The Zoom Room Scheduling Display UI theme. -
instant_room_reservationboolean— If enabled, the Zoom Room Scheduling Display will allow a user to perform an instant room reservation on the device. -
reserve_other_roomsobject— Contains settings that allows Zoom Room Scheduling Display to reserve other Zoom Rooms.-
allow_to_reserve_other_roomsboolean— If enabled, the Zoom Room Scheduling Display will allow a user to perform instant room reservations of other rooms on the device. -
location_typesstring, possible values:"city", "campus", "building", "floor"— The Zoom Room Scheduling Display will allow a user to find other rooms to reserve in the same parent Zoom Rooms Location Hierarchy Location as this device, and higher Location levels if so configured. Use the API [Get Zoom Room Location Structure](https://developers.zoom.us/docs/api/rest/reference/zoom-rooms/methods/#operation/getZRLocationStructure) to determine valid Location levels.
-
-
set_scheduling_display_background_image_to_zoom_room_backgroundboolean— If enabled, the Zoom Room Scheduling Display will use the same background image as the Zoom Room. Note: Some Zoom Rooms Scheduling displays use a different display aspect ratio than standard 16:9; the background image will be scaled to fit the Scheduling Display's display, with any excess cropped.
-
Example:
{
"meeting_security": {
"encryption_type": "e2ee",
"end_to_end_encrypted_meetings": true,
"auto_security": true
},
"zoom_rooms": {
"allow_multiple_content_sharing": true,
"remote_support": true,
"audio_device_daily_auto_test": true,
"auto_direct_sharing": true,
"auto_start_scheduled_meeting": true,
"auto_stop_scheduled_meeting": true,
"count_attendees_number_in_room": true,
"display_feedback_survey": true,
"display_meeting_list": true,
"display_top_banner": true,
"encrypt_shared_screen_content": true,
"hide_id_for_private_meeting": true,
"hide_share_instruction": true,
"send_whiteboard_to_internal_contact_only": true,
"show_alert_before_meeting": true,
"show_call_history_in_room": true,
"show_contact_list_on_controller": true,
"make_room_alternative_host": true,
"hide_user_personal_information": true,
"bypass_meeting_password": true,
"show_non_video_participants": true,
"start_airplay_manually": true,
"start_airplay_mirroring": true,
"support_join_3rd_party_meeting": true,
"transform_meeting_to_private": true,
"upcoming_meeting_alert": true,
"weekly_system_restart": true,
"entry_exit_chime": "all",
"record_play_own_voice": true,
"incoming_meeting_request": {
"automatically_accept_incoming_meeting_request": true,
"automatically_unmute": true
},
"automatically_accept_far_end_camera_control_request": true
}
}
Responses
Status: 204 **HTTP Status Code:** `204` **No Content** Settings updated successfully.
Status: 400 **HTTP Status Code:** `400` <br> Bad Request **Error Code:** `200` <br> Zoom Room subscription not found. Try again after purchasing a Zoom Room subscription.<br> Access restricted. <br>
Status: 429 **HTTP Status Code:** `429` <br> Too Many Requests. For more information, see [rate limits](https://developers.zoom.us/docs/api/rest/rate-limits/).
Get Zoom Room profile
- Method:
GET - Path:
/accounts/{accountId}/rooms/{roomId} - Tags: Zoom Rooms
Zoom Rooms is a software-based room system that provides an integrated experience for audio conferencing, wireless screen sharing and video conferencing. Use this API to get detailed information on a specific Zoom Room in a Zoom account.
Prerequisites:
- Pro or a higher plan with Zoom Room license.
Granular Scopes: zoom_rooms:read:room:master
Rate Limit Label: MEDIUM
Responses
Status: 200 **HTTP Status Code:** `200` **OK** Zoom Room profile returned successfully.
Content-Type: application/json
-
basicobject-
activation_codestring— The code used to complete the setup of the Zoom Room. -
calendar_resource_idstring— The calendar resource's ID. -
capacitynumber— The in-room participant capacity of the Zoom Room. -
display_namestring— The short display name of the Zoom Room. -
hide_room_in_contactsboolean— Whether to hide this Zoom Room from your contact list. **True** to hide. **False** to show. -
location_idstring— The location ID of the place where the Zoom Room was added. -
namestring— Name of the Zoom Room. -
required_code_to_extboolean— Determines whether to require a code to exit out of the Zoom Rooms application to switch between other apps. -
room_passcodestring— The 1-16 digit number or characters used to secure your Zoom Rooms application. This code must be entered on your Zoom Room Controller to change settings or sign out. -
show_room_capacity_on_the_scheduling_displayboolean— If enabled, the Zoom Room show the seating capacity the Zoom Rooms Scheduling Display(s) of the Zoom Room. Note: this setting is only effective if a capacity is configured. -
show_room_capacity_on_the_zoom_roomsboolean— If enabled, the Zoom Room show the seating capacity the display(s) of the Zoom Room. Note: this setting is only effective if a capacity is configured. -
support_emailstring, format:email— The email address to use for reporting Zoom Room issues. -
support_phonestring— The phone number to use for reporting Zoom Room issues. -
tag_idsarray— The list of tag ID associated with the Zoom Room.Items:
string— The tag ID associated with the Zoom Room. -
use_display_name_in_meetingsboolean— If enabled, the Zoom Room will use the display_name instead of the name in meetings; the display_name will be shown in the Zoom meeting participants list and as the Zoom Rooms' label in the meeting video layout of other meeting participants. Note: this setting is only effective if a display_name is configured and the use_on_zoom_rooms_and_controller setting is enabled. -
use_display_name_on_scheduling_displayboolean— If enabled, the Zoom Rooms Scheduling Display(s) of this Zoom Room will show the display_name instead of the name. Note: this setting is only effective if a display_name is configured. -
use_display_name_on_zoom_rooms_display_and_controllerboolean— If enabled, the Zoom Rooms Controller(s) and Zoom Rooms display(s) of this Zoom Room will show the display_name instead of the name. Note: this setting is only effective if a display_name is configured. -
user_idstring— The user ID of the user assigned to a Personal Zoom Room. Note: this field will only be present for Personal Zoom Rooms. -
zoom_room_typestring, possible values:"Kiosk", "ZoomRoom", "StandaloneWhiteboard", "SchedulingDisplayOnly", "DigitalSignageOnly", "PersonalZoomRoom"— The room type: `Kiosk`, `ZoomRoom`, `StandaloneWhiteboard`, `SchedulingDisplayOnly`, `DigitalSignageOnly`,`PersonalZoomRoom`
-
-
deviceobject— The information about the device.-
device_profile_idstring— The device's profile ID.
-
-
setupobject-
apply_background_image_to_all_displaysboolean— Apply the same background image to all displays of the Zoom Room. If the value of the this field is true, the `background_image_info` object will only contain and only accept changes to the background image information of `zoom_rooms_display1`. -
background_image_infoarray— The background image information for each display. If the value of the `apply_background_image_to_all_displays` field is `true`, this object will only accept changes to the background image information of `zoom_rooms_display1`.Items:
-
content_idstring— When the background image is a [background image library content item](https://developers.zoom.us/docs/api/rest/reference/zoom-rooms/methods/#operation/ListZoomRoomsbackgroundimagelibrarycontents) or [default Zoom Rooms background image library content item](https://developers.zoom.us/docs/api/rest/reference/zoom-rooms/methods/#operation/ListDefaultZoomRoomsBackgroundImageLibrarycontents), this field will contain the `content_id`. When a background image has been directly uploaded, this field will be empty." -
display_idstring, possible values:"zoom_rooms_display1", "zoom_rooms_display2", "zoom_rooms_display3", "zoom_rooms_display4", "companion_whiteboard", "companion_zoom_rooms"— The id of the display. The value can be one of the following: `zoom_rooms_display1`: The display1 of the Zoom Room. `zoom_rooms_display2`: The display2 of the Zoom Room. `zoom_rooms_display3`: The display3 of the Zoom Room. `zoom_rooms_display4`: The display4 of the Zoom Room. `companion_whiteboard`: The display of the Companion Whiteboard. `companion_zoom_rooms`: The display of the Companion Zoom Room. -
download_urlstring— The URL where the background image file may be downloaded. This URL will be expire according to the `download_url_ttl`. -
download_url_ttlinteger— The time to live of the download URL, in seconds. When this field is not present, the link will never expire.
-
-
checkin_and_checkoutobject— The set up information for checking in and out of a Zoom Room.-
checkin_and_checkout_optionsobject— Check-in and check-out options subsettings.-
allowed_consecutive_missed_checkin_before_removing_roominteger— Allowed number of consecutive missed check-ins before removing the room from entire meeting series. -
allowed_minutes_before_release_room_after_no_checkoutinteger— Allowed seconds before releasing a room due to no check-out or Zoom Room activity. -
checkin_minutes_prior_to_meeting_start_timeinteger— Allowed seconds for participants to check in prior to the meeting start time. -
enable_new_user_checkin_notificationboolean— Determine whether to notify in-room participants on the Zoom Rooms display when users check in. -
enable_remove_recurringboolean— Remove recurring meeting series from Zoom Rooms.
-
-
enableboolean— Whether to enable check-in and check-out options.
-
-
pro_deviceboolean— If enabled, the Personal Zoom Room will consume a Zoom Rooms license and have access to "Pro" features. Note: this field will only be present for Personal Zoom Rooms. -
under_constructionboolean— Rooms with under construction mode enabled are hidden on the dashboard by default and all issue notifications are disabled. You can change your dashboard filters to show rooms under construction if you prefer.
-
Example:
{
"basic": {
"activation_code": "1315-2376-2198-7926",
"hide_room_in_contacts": true,
"name": "My Personal Meeting Room",
"display_name": "My Personal Meeting Room",
"required_code_to_ext": true,
"room_passcode": "975193018",
"support_email": "contact-it@example.com",
"support_phone": "18798769876",
"calendar_resource_id": "u7GQ3q_zQbqJnNp02-oMjQ",
"zoom_room_type": "ZoomRoom",
"location_id": "49D7a0xPQvGQ2DCMZgSe7w",
"tag_ids": [
"Tva2CuIdTgsv8wAnhyAdU3m06Y2HuLQtlh3"
],
"use_display_name_on_scheduling_display": true,
"use_display_name_on_zoom_rooms_display_and_controller": true,
"use_display_name_in_meetings": true,
"capacity": 1,
"show_room_capacity_on_the_zoom_rooms": true,
"show_room_capacity_on_the_scheduling_display": true,
"user_id": "Ih3wZpAjTlitZcAhuYRbxg"
},
"device": {
"device_profile_id": "J352JVkNRpyAgUaurxmrsh"
},
"setup": {
"checkin_and_checkout": {
"enable": true,
"checkin_and_checkout_options": {
"checkin_minutes_prior_to_meeting_start_time": 600,
"allowed_minutes_before_release_room_after_no_checkout": 600,
"enable_new_user_checkin_notification": true,
"enable_remove_recurring": true,
"allowed_consecutive_missed_checkin_before_removing_room": 4
}
},
"under_construction": true,
"apply_background_image_to_all_displays": true,
"background_image_info": [
{
"display_id": "zoom_rooms_display1",
"content_id": "zrd9DycNSxK6K4dEUS6z-g",
"download_url": "https://zoom.us/file/Sq2mdxqRQ9eq7wmD5TFD6g?jwt=eyJ0eXAiOiJKV1QiLCJrIjoiaHRlNU05dDciLCJ6bV9za20iOiJ6bV9vMm0iLCJhbGc",
"download_url_ttl": 3600
}
],
"pro_device": true
}
}
Status: 400 **HTTP Status Code:** `400` <br> Bad Request **Error Code:** `200` <br> * Zoom Room subscription not found. Try again after purchasing a Zoom Room subscription. * Access restricted. * No permission to regenerate an activation code for a Zoom Room. <br>
Status: 404 **HTTP Status Code:** `404` <br> Not Found **Error Code:** `1012` <br> Room not found: {roomId}. <br>
Status: 429 **HTTP Status Code:** `429` <br> Too Many Requests. For more information, see [rate limits](https://developers.zoom.us/docs/api/rest/rate-limits/).
Delete a Zoom Room
- Method:
DELETE - Path:
/accounts/{accountId}/rooms/{roomId} - Tags: Zoom Rooms
Remove a specific Zoom Room profile from a Zoom account.
Prerequisites:
- Pro or a higher plan with Zoom Room license.
Scopes: room:master
Granular Scopes: zoom_rooms:delete:room:master
Rate Limit Label: LIGHT
Responses
Status: 204 **HTTP Status Code:** `204` **No Content** Zoom Room deleted successfully.
Status: 400 **HTTP Status Code:** `400` <br> Bad Request **Error Code:** `200` <br> Zoom Room subscription not found. Try again after purchasing a Zoom Room subscription.<br> Access restricted.<br> <br>
Status: 404 **HTTP Status Code:** `404` <br> Not Found **Error Code:** `1012` <br> Room not found:{roomId} <br>
Status: 429 **HTTP Status Code:** `429` <br> Too Many Requests. For more information, see [rate limits](https://developers.zoom.us/docs/api/rest/rate-limits/).
Update a Zoom Room profile
- Method:
PATCH - Path:
/accounts/{accountId}/rooms/{roomId} - Tags: Zoom Rooms
Update basic information on a specific Zoom Room in a Zoom account.
Prerequisites:
- Pro or a higher plan with Zoom Room license.
Granular Scopes: zoom_rooms:update:room:master
Rate Limit Label: MEDIUM
Request Body
Content-Type: application/json
-
basicobject-
calendar_resource_idstring— The calendar resource's ID. If the value of this field is empty (`""`), the calendar resource will be removed from Zoom Room. -
capacityinteger— The in-room participant capacity of the Zoom Room. -
display_namestring— The short display name of the Zoom Room. -
hide_room_in_contactsboolean— Hide this Zoom Room from your Contact List. -
namestring— Name of the Zoom Room. -
required_code_to_extboolean— Require code to exit out of Zoom Rooms application to switch between other apps. -
room_passcodestring— 1-16 digit number or characters used to secure your Zoom Rooms application. This code must be entered on your Zoom Room Controller to change settings or sign out. -
show_room_capacity_on_the_scheduling_displayboolean— If enabled, the Zoom Room show the seating capacity the Zoom Rooms Scheduling Display(s) of the Zoom Room. Note: this setting is only effective if a capacity is configured. -
show_room_capacity_on_the_zoom_roomsboolean— If enabled, the Zoom Room show the seating capacity the display(s) of the Zoom Room. Note: this setting is only effective if a capacity is configured. -
support_emailstring, format:email— The email address to use for reporting Zoom Room issues. -
support_phonestring— The phone number to use for reporting Zoom Room issues. -
tag_idsarray— The list of tag ID to be associated with the Zoom room.Items:
string— The tag ID to be associated with the Zoom room. -
use_display_name_in_meetingsboolean— If enabled, the Zoom Room will use the display_name instead of the name in meetings; the display_name will be shown in the Zoom meeting participants list and as the Zoom Rooms' label in the meeting video layout of other meeting participants. Note: this setting is only effective if a display_name is configured and the use_on_zoom_rooms_and_controller setting is enabled. -
use_display_name_on_scheduling_displayboolean— If enabled, the Zoom Rooms Scheduling Display(s) of this Zoom Room will show the display_name instead of the name. Note: this setting is only effective if a display_name is configured. -
use_display_name_on_zoom_rooms_display_and_controllerboolean— If enabled, the Zoom Rooms Controller(s) and Zoom Rooms display(s) of this Zoom Room will show the display_name instead of the name. Note: this setting is only effective if a display_name is configured. -
zoom_room_typestring, possible values:"Kiosk", "ZoomRoom", "StandaloneWhiteboard", "SchedulingDisplayOnly", "DigitalSignageOnly", "PersonalZoomRoom"— The room type: Kiosk, ZoomRoom, StandaloneWhiteboard, SchedulingDisplayOnly, DigitalSignageOnly,PersonalZoomRoom
-
-
deviceobject— The information about the device.-
device_profile_idstring— The device's profile ID.
-
-
setupobject-
apply_background_image_to_all_displaysboolean— Apply the same background image to all displays of the Zoom Room. If the value of the this field is `true`, the `background_image_info` object will only contain and only accept changes to the background image information of `zoom_rooms_display1` -
background_image_infoarray— The background image information for each display. If the value of the `apply_background_image_to_all_displays` field is `true`, this object will only accept changes to the background image information of `zoom_rooms_display1`.Items:
-
content_idstring— To set the background image to a [background image library content item](https://developers.zoom.us/docs/api/rest/reference/zoom-rooms/methods/#operation/ListZoomRoomsbackgroundimagelibrarycontents) or [default Zoom Rooms background image library content item](https://developers.zoom.us/docs/api/rest/reference/zoom-rooms/methods/#operation/ListDefaultZoomRoomsBackgroundImageLibrarycontents), set this field to a background image library content item's `content_id`. To reset the background, set the content_id to an empty string. -
display_idstring, possible values:"zoom_rooms_display1", "zoom_rooms_display2", "zoom_rooms_display3", "zoom_rooms_display4", "companion_whiteboard", "companion_zoom_rooms"— The id of the display. The value can be one of the following: `zoom_rooms_display1`: The display1 of the Zoom Room. `zoom_rooms_display2`: The display2 of the Zoom Room. `zoom_rooms_display3`: The display3 of the Zoom Room. `zoom_rooms_display4`: The display4 of the Zoom Room. `companion_whiteboard`: The display of the Companion Whiteboard. `companion_zoom_rooms`: The display of the Companion Zoom Room.
-
-
checkin_and_checkoutobject— The set up information for checking in and out of Zoom Room.-
checkin_and_checkout_optionsobject— Check-in and check-out options subsettings.-
allowed_consecutive_missed_checkin_before_removing_roominteger— Allowed number of consecutive missed check-ins before removing the room from entire meeting series. -
allowed_minutes_before_release_room_after_no_checkoutinteger— Allowed seconds before releasing room due to no check-out or Zoom Room activity. -
checkin_minutes_prior_to_meeting_start_timeinteger— Allowed seconds for participants to check-in prior to meeting start time. -
enable_new_user_checkin_notificationboolean— Notify in-room participants on the Zoom Rooms display when users check in. -
enable_remove_recurringboolean— Remove recurring meeting series from Zoom Rooms.
-
-
enableboolean— Whether to enable check-in and check-out options.
-
-
pro_deviceboolean— If enabled, the Personal Zoom Room will consume a Zoom Rooms license and have access to "Pro" features. Note: this field will only be present for Personal Zoom Rooms. -
screen_lock_pinstring— Set a 6-digit screen lock pin. Only numeric characters are allowed. Note: this field will only be present for Personal Zoom Rooms. -
under_constructionboolean— Rooms with under construction mode enabled are hidden on the dashboard by default and all issue notifications are disabled. You can change your dashboard filters to show rooms under construction if you prefer.
-
Example:
{
"basic": {
"hide_room_in_contacts": true,
"zoom_room_type": "ZoomRoom",
"name": "My Personal Meeting Room",
"display_name": "My Personal Meeting Room",
"required_code_to_ext": true,
"room_passcode": "975193018",
"support_email": "contact-it@example.com",
"support_phone": "18798769876",
"calendar_resource_id": "u7GQ3q_zQbqJnNp02-oMjQ",
"tag_ids": [
"Tva2CuIdTgsv8wAnhyAdU3m06Y2HuLQtlh3"
],
"use_display_name_on_scheduling_display": true,
"use_display_name_on_zoom_rooms_display_and_controller": true,
"use_display_name_in_meetings": true,
"capacity": 1,
"show_room_capacity_on_the_zoom_rooms": true,
"show_room_capacity_on_the_scheduling_display": true
},
"device": {
"device_profile_id": "J352JVkNRpyAgUaurxmrsh"
},
"setup": {
"checkin_and_checkout": {
"enable": true,
"checkin_and_checkout_options": {
"checkin_minutes_prior_to_meeting_start_time": 600,
"allowed_minutes_before_release_room_after_no_checkout": 600,
"enable_new_user_checkin_notification": true,
"enable_remove_recurring": true,
"allowed_consecutive_missed_checkin_before_removing_room": 4
}
},
"under_construction": true,
"apply_background_image_to_all_displays": true,
"background_image_info": [
{
"display_id": "zoom_rooms_display1",
"content_id": "LHMmOOYaRiOA5m5WZjXVPA"
}
],
"pro_device": true,
"screen_lock_pin": "123456"
}
}
Responses
Status: 204 **HTTP Status Code:** `204` **No Content** Zoom Room profile information updated successfully.
Status: 400 **HTTP Status Code:** `400` <br> Bad Request **Error Code:** `200` <br> Zoom Room subscription not found. Try again after purchasing a Zoom Room subscription.<br> **Access restricted**.<br><br> <br>
Status: 404 **HTTP Status Code:** `404` <br> Not Found **Error Code:** `1012` <br> Zoom Room not found: {roomId}.<br><br>. <br> **Error Code:** `8005` <br> Zoom Room device profile does not exist: {roomId}.<br><br> <br> **Error Code:** `4060` <br> Calendar resource does not exist: {resourceId}.<br><br> <br>
Status: 429 **HTTP Status Code:** `429` <br> Too Many Requests. For more information, see [rate limits](https://developers.zoom.us/docs/api/rest/rate-limits/).
List device profiles
- Method:
GET - Path:
/accounts/{accountId}/rooms/{roomId}/device_profiles - Tags: Zoom Rooms
Returns a list of Zoom Room device profiles. Prerequisites: * A Pro or a higher account with Zoom Rooms.
Scopes: room:master
Granular Scopes: zoom_rooms:read:list_device_profiles:master
Rate Limit Label: MEDIUM
Responses
Status: 200 **HTTP Status Code:** `200` **OK** Device profiles returned.
Content-Type: application/json
Array of:
-
audio_processingboolean— Whether audio processing is enabled. -
auto_adjust_mic_levelboolean— Whether microphone level auto adjust is enabled. -
camera_idstring— The camera's device ID. -
echo_cancellationboolean— Whether echo cancellation is enabled. -
idstring— The device's profile ID. -
microphone_idstring— The microphone's device ID. -
namestring— The device profile's name. -
noise_suppressionstring, possible values:"moderate", "aggressive", "none"— The noise suppression setting: * `moderate` — Moderate noise suppression. * `aggressive` — Aggressive noise suppression. * `none` — Noise suppression disabled. -
speaker_idstring— The speaker's device ID.
Example:
[
{
"audio_processing": false,
"auto_adjust_mic_level": true,
"camera_id": "usb#vid_0bda&pid_58fd&mi_00#6&1e7cbc97&0&0000#{65e8773d-8f56-11d0-a3b9-00a0c9223196}global",
"echo_cancellation": true,
"id": "Gz_fNcaSPByng-3vsqv_iQ",
"microphone_id": "{0.0.2.00000000}.{eff76572-ac52-4c79-bd30-67f968bjb15f}",
"name": "ZR1 Device",
"noise_suppression": "aggressive",
"speaker_id": "{0.0.0.00000000}.{4f9b30cb-872e-49ed-a1b9-a7ec352bf3e6}"
}
]
Status: 400 **HTTP Status Code:** `400` <br> Bad Request **Error Code:** `200` <br> * Zoom Room subscription not found. Purchase a Zoom Room subscription and try again. <br> * Access restricted. <br>
Status: 404 **HTTP Status Code:** `404` <br> Not Found **Error Code:** `1012` <br> Zoom Room ID does not exist: {roomId}. <br>
Status: 429 **HTTP Status Code:** `429` <br> Too Many Requests. For more information, see [rate limits](https://developers.zoom.us/docs/api/rest/rate-limits/).
Create a device profile
- Method:
POST - Path:
/accounts/{accountId}/rooms/{roomId}/device_profiles - Tags: Zoom Rooms
Creates a Zoom Room device profile. Prerequisites: * A Pro or a higher account with Zoom Rooms.
Scopes: room:master
Granular Scopes: zoom_rooms:write:device_profile:master
Rate Limit Label: MEDIUM
Request Body
Content-Type: application/json
-
audio_processingboolean— Whether to enable audio processing. -
auto_adjust_mic_levelboolean— Whether to enable microphone level auto adjust. -
camera_idstring— The camera's device ID. -
echo_cancellationboolean— Whether to enable echo cancellation. -
microphone_idstring— The microphone's device ID. -
namestring— The device profile's name. -
noise_suppressionstring, possible values:"moderate", "aggressive", "none"— The noise suppression setting: * `moderate` — Moderate noise suppression. * `aggressive` — Aggressive noise suppression. * `none` — Noise suppression disabled. -
speaker_idstring— The speaker's device ID.
Example:
{
"audio_processing": false,
"auto_adjust_mic_level": true,
"camera_id": "usb#vid_0bda&pid_58fd&mi_00#6&1e7cbc97&0&0000#{65e8773d-8f56-11d0-a3b9-00a0c9223196}global",
"echo_cancellation": true,
"microphone_id": "{0.0.2.00000000}.{eff76572-ac52-4c79-bd30-67f968bjb15f}",
"name": "ZR1 Device",
"noise_suppression": "none",
"speaker_id": "{0.0.0.00000000}.{4f9b30cb-872e-49ed-a1b9-a7ec352bf3e6}"
}
Responses
Status: 201 **HTTP Status Code:** `201` **Created** Device profile successfully created.
Status: 400 **HTTP Status Code:** `400` <br> Bad Request **Error Code:** `200` <br> * Zoom Room subscription not found. Purchase a Zoom Room subscription and try again. <br> * Access restricted. <br> **Error Code:** `300` <br> Unable to create device profile because there is no microphone/speaker/camera available in the following Zoom Room: {roomId}. <br>
Status: 404 **HTTP Status Code:** `404` <br> Not Found **Error Code:** `1012` <br> Room does not exist: {roomId}. <br>
Status: 429 **HTTP Status Code:** `429` <br> Too Many Requests. For more information, see [rate limits](https://developers.zoom.us/docs/api/rest/rate-limits/).
Get device information
- Method:
GET - Path:
/accounts/{accountId}/rooms/{roomId}/device_profiles/devices - Tags: Zoom Rooms
Returns information about a Zoom Room device. Prerequisites: * A Pro or a higher account with Zoom Rooms.
Scopes: room:master
Rate Limit Label: MEDIUM
Responses
Status: 200 **HTTP Status Code:** `200` Device information returned.
Content-Type: application/json
-
camerasarray— Information about the Zoom Room device's cameras.Items:
-
idstring— The camera's device ID. -
namestring— The camera's device name.
-
-
microphonesarray— Information about the Zoom Room device's microphone.Items:
-
idstring— The microphone's device ID. -
namestring— The microphone's device name.
-
-
speakersarray— Information about the Zoom Room device's speakers.Items:
-
idstring— The speaker's device ID. -
namestring— The speaker's device name.
-
Example:
{
"cameras": [
{
"id": "usb#vid_0bda&pid_58fd&mi_00#6&1e7cbc97&0&0000#{65e8773d-8f56-11d0-a3b9-00a0c9223196}global",
"name": "Integrated Webcam"
}
],
"microphones": [
{
"id": "{0.0.1.00000000}.{eff76542-ac52-4c78-bd90-67f968bab16f}",
"name": "Realtek(R) Audio"
}
],
"speakers": [
{
"id": "{0.0.0.00000000}.{4f9b30cb-872e-49ed-a1b9-a7ec352bf3e6}",
"name": "Realtek(R) Audio"
}
]
}
Status: 400 **HTTP Status Code:** `400` <br> Bad Request **Error Code:** `200` <br> * Zoom Room subscription not found. Purchase a Zoom Room subscription and try again. <br> * Access restricted. <br>
Status: 404 **HTTP Status Code:** `404` <br> Not Found **Error Code:** `1012` <br> Zoom Room ID does not exist: {roomId}. <br>
Status: 429 **HTTP Status Code:** `429` <br> Too Many Requests. For more information, see [rate limits](https://developers.zoom.us/docs/api/rest/rate-limits/).
Get a device profile
- Method:
GET - Path:
/accounts/{accountId}/rooms/{roomId}/device_profiles/{deviceProfileId} - Tags: Zoom Rooms
Returns a Zoom Room device profile. Prerequisites: * A Pro or a higher account with Zoom Rooms.
Scopes: room:master
Granular Scopes: zoom_rooms:read:device_profile:master
Rate Limit Label: MEDIUM
Responses
Status: 200 **HTTP Status Code:** `200` **OK** Device profile returned.
Content-Type: application/json
-
audio_processingboolean— Whether audio processing is enabled. -
auto_adjust_mic_levelboolean— Whether microphone level auto adjust is enabled. -
camera_idstring— The camera's device ID. -
echo_cancellationboolean— Whether echo cancellation is enabled. -
idstring— The device's profile ID. -
microphone_idstring— The microphone's device ID. -
namestring— The device profile's name. -
noise_suppressionstring, possible values:"moderate", "aggressive", "none"— The noise suppression setting: * `moderate` — Moderate noise suppression. * `aggressive` — Aggressive noise suppression. * `none` — Noise suppression disabled. -
speaker_idstring— The speaker's device ID.
Example:
{
"audio_processing": false,
"auto_adjust_mic_level": true,
"camera_id": "usb#vid_0bda&pid_58fd&mi_00#6&1e7cbc97&0&0000#{65e8773d-8f56-11d0-a3b9-00a0c9223196}global",
"echo_cancellation": true,
"id": "Gz_fNcaSPByng-3vsqv_iQ",
"microphone_id": "{0.0.2.00000000}.{eff76572-ac52-4c79-bd30-67f968bjb15f}",
"name": "ZR1 Device",
"noise_suppression": "aggressive",
"speaker_id": "{0.0.0.00000000}.{4f9b30cb-872e-49ed-a1b9-a7ec352bf3e6}"
}
Status: 400 **HTTP Status Code:** `400` <br> Bad Request **Error Code:** `200` <br> * Zoom Room subscription not found. Purchase a Zoom Room subscription and try again. <br> * Access restricted. <br>
Status: 404 **HTTP Status Code:** `404` <br> Not Found **Error Code:** `1012` <br> Room does not exist: {roomId}. <br> **Error Code:** `8005` <br> Zoom Room device profile does not exist: {roomId}. <br>
Status: 429 **HTTP Status Code:** `429` <br> Too Many Requests. For more information, see [rate limits](https://developers.zoom.us/docs/api/rest/rate-limits/).
Delete a device profile
- Method:
DELETE - Path:
/accounts/{accountId}/rooms/{roomId}/device_profiles/{deviceProfileId} - Tags: Zoom Rooms
Deletes a Zoom Room device profile. Prerequisites: * A Pro or a higher account with Zoom Rooms.
Scopes: room:master
Granular Scopes: zoom_rooms:delete:device_profile:master
Rate Limit Label: MEDIUM
Responses
Status: 204 **HTTP Status Code:** `204` **No Content** Device profile deleted.
Status: 400 **HTTP Status Code:** `400` <br> Bad Request **Error Code:** `200` <br> * Zoom Room subscription not found. Purchase a Zoom Room subscription and try again. <br> * Access restricted. <br> **Error Code:** `300` <br> You cannot delete this device profile. <br>
Status: 404 **HTTP Status Code:** `404` <br> Not Found **Error Code:** `1012` <br> Room does not exist: {roomId}. <br>
Status: 429 **HTTP Status Code:** `429` <br> Too Many Requests. For more information, see [rate limits](https://developers.zoom.us/docs/api/rest/rate-limits/).
Update a device profile
- Method:
PATCH - Path:
/accounts/{accountId}/rooms/{roomId}/device_profiles/{deviceProfileId} - Tags: Zoom Rooms
Updates a Zoom Room device profile. Prerequisites: * A Pro or a higher account with Zoom Rooms.
Scopes: room:master
Granular Scopes: zoom_rooms:update:device_profile:master
Rate Limit Label: MEDIUM
Request Body
Content-Type: application/json
-
audio_processingboolean— Whether to enable audio processing. -
auto_adjust_mic_levelboolean— Whether to enable microphone level auto adjust. -
camera_idstring— The camera's device ID. -
echo_cancellationboolean— Whether to enable echo cancellation. -
microphone_idstring— The microphone's device ID. -
noise_suppressionstring, possible values:"moderate", "aggressive", "none"— The noise suppression setting: * `moderate` — Moderate noise suppression. * `aggressive` — Aggressive noise suppression. * `none` — Noise suppression disabled. -
speaker_idstring— The speaker's device ID.
Example:
{
"audio_processing": false,
"auto_adjust_mic_level": true,
"camera_id": "usb#vid_0bda&pid_58fd&mi_00#6&1e7cbc97&0&0000#{65e8773d-8f56-11d0-a3b9-00a0c9223196}global",
"echo_cancellation": true,
"microphone_id": "{0.0.2.00000000}.{eff76572-ac52-4c79-bd30-67f968bjb15f}",
"noise_suppression": "none",
"speaker_id": "{0.0.0.00000000}.{4f9b30cb-872e-49ed-a1b9-a7ec352bf3e6}"
}
Responses
Status: 204 **HTTP Status Code:** `204` **No Content** Device profile updated.
Status: 400 **HTTP Status Code:** `400` <br> Bad Request **Error Code:** `200` <br> * Zoom Room subscription not found. Purchase a Zoom Room subscription and try again. <br> * Access restricted. <br> **Error Code:** `300` <br> You cannot change this device profile. <br>
Status: 404 **HTTP Status Code:** `404` <br> Not Found **Error Code:** `1012` <br> Room does not exist: {roomId}. <br> **Error Code:** `8005` <br> Room device profile does not exist: {roomId}. <br>
Status: 429 **HTTP Status Code:** `429` <br> Too Many Requests. For more information, see [rate limits](https://developers.zoom.us/docs/api/rest/rate-limits/).
List Zoom Room devices
- Method:
GET - Path:
/accounts/{accountId}/rooms/{roomId}/devices - Tags: Zoom Rooms
List information about the devices that are being used for a specific Zoom Room in an account.
Prerequisites:
-
Pro or a higher plan with Zoom Room license.
-
Account owner or admin permissions.
Scopes: room:master
Granular Scopes: zoom_rooms:read:list_devices:master
Rate Limit Label: MEDIUM
Responses
Status: 200 **HTTP Status Code:** `200` **OK** Devices listed successfully.
Content-Type: application/json
-
devicesarrayItems:
-
app_versionstring— App version of Zoom Rooms. -
device_firmwarestring— The device's firmware version -
device_hostnamestring— The device's name -
device_mac_addressesarray— Array of device mac addressesItems:
string— Device mac address -
device_manufacturerstring— The device's manufacturer -
device_modelstring— The device's model -
device_systemstring— Operating system of the device. -
device_typestring, possible values:"Zoom Rooms Computer", "Controller", "Scheduling Display", "Zoom Rooms Control System", "Companion Whiteboard"— Type of the device. The value of this field can be one of the following: `Zoom Rooms Computer`, `Controller`, `Scheduling Display`, `Zoom Rooms Control System`, `Companion Whiteboard` -
idstring— Unique identifier of the device. -
ip_addressstring— The device IP address. -
room_namestring— Name of the Zoom Room. -
serial_numberstring— The device serial number. -
statusstring, possible values:"Online", "Offline"— Status of the device. The value can be either `Online` or `Offline`.
-
Example:
{
"devices": [
{
"app_version": "5.9.1 (2581)",
"device_system": "Win10 Build 19043.1266",
"device_type": "Controller",
"id": "{0.0.1.00000000}.{eff76542-ac52-4c78-bd90-67f968bab16f}",
"room_name": "My Room",
"status": "Online",
"device_mac_addresses": [
"01-23-45-67-89-AB"
],
"device_hostname": "Test Computer",
"device_manufacturer": "Poly",
"device_model": "MacBookPro14,1",
"device_firmware": "1.1.1",
"ip_address": "10.10.10.10",
"serial_number": "6NRN2A0"
}
]
}
Status: 400 **HTTP Status Code:** `400` <br> Bad Request **Error Code:** `200` <br> Zoom Room subscription not found. Try again after purchasing a Zoom Room subscription. <br>
Status: 429 **HTTP Status Code:** `429` <br> Too Many Requests. For more information, see [rate limits](https://developers.zoom.us/docs/api/rest/rate-limits/).
Change a Zoom Room's location
- Method:
PUT - Path:
/accounts/{accountId}/rooms/{roomId}/location - Tags: Zoom Rooms
An account owner of a Zoom account can establish a Zoom Rooms Location Hierarchy to better organize Zoom Rooms spread across various locations. The location can be structured in a hierarchy with Country being the top-level location, followed by city, campus, building, and floor. Use this API to assign a new location for a Zoom Room. Note that the Zoom Room can be assigned only to the lowest level location available in the hierarchy. Prerequisite:
- Account owner or admin permission
- Zoom Rooms version 4.0 or higher
Scopes: room:master
Granular Scopes: zoom_rooms:update:room_location:master
Rate Limit Label: LIGHT
Request Body
Content-Type: application/json
-
location_idstring— Location ID of the location where Zoom Room is to be assigned. This can be retrieved from the `id` property in the response of [**List Zoom Rooms locations**](/docs/api-reference/zoom-api/methods#operation/listZRLocations) API.
Example:
{
"location_id": "49D7a0xPQvGQ2DCMZgSe7w"
}
Responses
Status: 204 **HTTP Status Code:** `204` **No Content** Location of the Zoom Room changed successfully.
Status: 400 **HTTP Status Code:** `400` <br> Bad Request **Error Code:** `200` <br> Zoom Room subscription not found. Try again after purchasing a Zoom Room subscription. <br>
Status: 404 **HTTP Status Code:** `404` <br> Not Found **Error Code:** `4801` <br> Location not found: {location_id} <br>
Status: 429 **HTTP Status Code:** `429` <br> Too Many Requests. For more information, see [rate limits](https://developers.zoom.us/docs/api/rest/rate-limits/).
Get Zoom Rooms virtual controller URL
- Method:
GET - Path:
/accounts/{accountId}/rooms/{roomId}/virtual_controller - Tags: Zoom Rooms
Get the Zoom Rooms virtual controller URL.
Prerequisites:
- Pro or a higher plan with Zoom Room license.
Scopes: room:master
Granular Scopes: zoom_rooms:read:virtual_controller:admin
Rate Limit Label: MEDIUM
Responses
Status: 200 **HTTP Status Code:** `200`**OK** Zoom Rooms virtual controller URL returned successfully.
Content-Type: application/json
-
expire_ininteger— Expiry time of a pre-authenticated link in seconds. -
urlstring— The Zoom Rooms virtual controller URL.
Example:
{
"url": "https://zoom.us/launch/webzrc?nodeId=SnoDt6rcTqi7HIuFZsib9A",
"expire_in": 600
}
Status: 400 **HTTP Status Code:** `400` <br> Bad Request **Error Code:** `300520003` <br> Check Zoom Room error. Failed to launch Zoom Rooms virtual controller. <br>
Status: 401 **HTTP Status Code:** `401` <br> Unauthorized **Error Code:** `300520001` <br> User not logged in. <br>
Status: 404 **HTTP Status Code:** `404` <br> Not Found **Error Code:** `300520002` <br> No Zoom Rooms found. <br>
Status: 429 **HTTP Status Code:** `429` <br> Too Many Requests. For more information, see [rate limits](https://developers.zoom.us/docs/api/rest/rate-limits/).
Get Zoom Room account profile
- Method:
GET - Path:
/accounts/{accountId}/rooms/account_profile - Tags: Zoom Rooms Account
[...]
